> ## Documentation Index
> Fetch the complete documentation index at: https://apidocs.ipxo.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Payouts Invoices

> List IP Market Payouts Invoices



## OpenAPI

````yaml openapi/billing.yaml get /v1/{tenantUUID}/market/payouts_invoices
openapi: 3.0.1
info:
  title: Billing API
  description: ''
  version: '1.0'
servers:
  - url: https://apigw.ipxo.com/billing
security:
  - bearerAuth: []
paths:
  /v1/{tenantUUID}/market/payouts_invoices:
    get:
      tags:
        - Payouts
      summary: List Payouts Invoices
      description: List IP Market Payouts Invoices
      operationId: API-Pub-IPmarket-PayoutsInvoices-List
      parameters:
        - name: tenantUUID
          in: path
          description: Tenant UUID
          required: true
          schema:
            $ref: '#/components/schemas/UUID'
        - name: uuid
          in: query
          description: Filter By Payout Invoice UUID
          schema:
            type: string
        - name: invoice_number
          in: query
          description: Filter By Payout Invoice Number
          schema:
            type: string
        - name: service_uuid
          in: query
          description: Filter By Service UUID
          schema:
            type: string
        - name: subnet
          in: query
          description: Filter By Subnet
          schema:
            type: string
        - name: total
          in: query
          description: Filter By Total
          schema:
            type: number
            format: float
        - name: status
          in: query
          description: Filter by Status
          schema:
            enum:
              - paid
              - unpaid
            type: string
        - name: start
          in: query
          description: >-
            Filter by Start period date in unix timestamp format which is
            greater or equal to input
          schema:
            type: integer
        - name: end
          in: query
          description: >-
            Filter By End period date in unix timestamp format which is lower or
            equal to input
          schema:
            type: integer
        - name: sort
          in: query
          description: Sort By Key
          schema:
            type: string
            description: >-
              Expects the value to be list of keys sepparated by commas.

              Default sort direction for each individual key is ASCENDING, but
              prefix '-' can be set for each individual key to indicate
              DESCENDING direction.

              Valid keys are:
              ['invoice_number','status','date','date_paid','total','address','cidr','start','end'].

              Example: '-cidr,address' - will sort descendingly by <cidr> first
              and then by <address> for services with same <cidr>
        - name: page
          in: query
          description: List Page
          schema:
            type: integer
            default: 1
        - name: per_page
          in: query
          description: Items Per Page
          schema:
            type: integer
            default: 15
      responses:
        '200':
          description: Payout Invoices Collection
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      $ref: >-
                        #/components/schemas/API.Pub.Resources.IPMarket.PayoutInvoiceResource
                  meta:
                    $ref: '#/components/schemas/collectionMeta'
              example:
                data:
                  - uuid: string
                    invoice_number: string
                    tenant_uuid: string
                    total: 0
                    fees: 0
                    status: paid
                    date: 0
                    date_paid: 0
                    payment_confirmation_uuid: string
                    items:
                      - uuid: string
                        type: payout
                        description: string
                        period_start: 0
                        period_end: 0
                        amount: 0
                        cidr: 0
                        address: string
                        service_uuid: string
                        start: 0
                        end: 0
                meta:
                  current_page: 0
                  from: 0
                  last_page: 0
                  per_page: 0
                  to: 0
                  total: 0
        '400':
          description: Invalid Request
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
components:
  schemas:
    UUID:
      pattern: >-
        ^[a-zA-Z0-9]{8}\-[a-zA-Z0-9]{4}\-[a-zA-Z0-9]{4}\-[a-zA-Z0-9]{4}\-[a-zA-Z0-9]{12}$
      type: string
      description: UUID
    API.Pub.Resources.IPMarket.PayoutInvoiceResource:
      type: object
      properties:
        uuid:
          type: string
          format: uuid
        invoice_number:
          type: string
        tenant_uuid:
          type: string
          format: uuid
        total:
          type: number
          format: float
        fees:
          type: number
          format: float
        status:
          enum:
            - paid
            - unpaid
          type: string
        date:
          type: integer
        date_paid:
          type: integer
        payment_confirmation_uuid:
          type: string
          format: uuid
        items:
          $ref: >-
            #/components/schemas/API.Pub.Resources.IPMarket.PayoutInvoiceItemCollectionBare
    collectionMeta:
      type: object
      properties:
        current_page:
          type: integer
        from:
          type: integer
        last_page:
          type: integer
        per_page:
          type: integer
        to:
          type: integer
        total:
          type: integer
    API.Pub.Resources.IPMarket.PayoutInvoiceItemCollectionBare:
      type: array
      items:
        $ref: >-
          #/components/schemas/API.Pub.Resources.IPMarket.PayoutInvoiceItemResource
    API.Pub.Resources.IPMarket.PayoutInvoiceItemResource:
      type: object
      properties:
        uuid:
          type: string
          format: uuid
        type:
          enum:
            - payout
          type: string
        description:
          type: string
        period_start:
          type: integer
        period_end:
          type: integer
        amount:
          type: number
          format: float
        cidr:
          type: integer
        address:
          type: string
          format: ipv4
        service_uuid:
          type: string
          format: uuid
        start:
          type: integer
        end:
          type: integer
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````